## sphinxsearch 0.9.8.1

=== mysqlse/CMakeLists.txt ===
SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DSAFEMALLOC -DSAFE_MUTEX")
SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DSAFEMALLOC -DSAFE_MUTEX")
ADD_DEFINITIONS(-DMYSQL_SERVER)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include
                    ${CMAKE_SOURCE_DIR}/sql
                    ${CMAKE_SOURCE_DIR}/extra/yassl/include
                    ${CMAKE_SOURCE_DIR}/regex)

SET(SPHINX_SOURCES ha_sphinx.cc)
ADD_LIBRARY(sphinx ha_sphinx.cc)

=== api/java/Makefile ===
#
# $Id$
#
# Makefile to automate sphinxapi.jar source builds
#

# order matters; full rebuild is always performed; but it somehow works
SOURCES = \
	SphinxMatch.java \
	SphinxException.java \
	SphinxWordInfo.java \
	SphinxResult.java \
	SphinxClient.java \
	test.java
CLASSES = $(SOURCES:.java=.class)

all : sphinxapi.jar

clean:
	rm -fr org
	rm -f sphinxapi.jar

sphinxapi.jar: $(CLASSES)
	jar cfm sphinxapi.jar MANIFEST.MF org/sphx/api

.SUFFIXES: .java .class
vpath %.class org/sphx/api
.java.class:
	javac -cp . -d . $<

#
# $Id$
#

## sphinxsearch 0.9.9+2.0.1beta

=== doc/Makefile ===
#
# apt-get install docbook-xsl
# apt-get install xsltproc
#

DOCBOOKXSL = /usr/share/xml/docbook/stylesheet/docbook-xsl
XSLTARGS = --stringparam toc.section.depth 4 $(DOCBOOKXSL)/html/docbook.xsl

all : sphinx.html sphinx.txt

sphinx.html: sphinx.xml
	cat sphinx.xml \
		| perl -pe "s/<b>/<emphasis role=\"bold\">/g" \
		| perl -pe "s/<\/b>/<\/emphasis>/g" \
		| perl -pe "s/(fixed|bug) #(\d+)/\1 <ulink url=\"http:\/\/sphinxsearch.com\/bugs\/view.php\?id=\2\">#\2<\/ulink>/" \
		| xsltproc \
			--stringparam section.autolabel 1 \
			--stringparam section.label.includes.component.label 1 \
			$(XSLTARGS) \
			- \
		| perl -pe "s/\xA0/\&nbsp;/g" \
		| perl -pe "s/\xA9/\&copy;/g" \
		| perl -pe "s/((<\/(li|dt|dt|head|div)>)+)/\1\n/g" \
		| perl -pe "s/<a name=\"id\d+\"><\/a>//g" \
		| perl -pe "s/<\/head>/\n<style type=\"text\/css\">pre.programlisting { background-color: #f0f0f0; padding: 0.5em; margin-left: 2em; margin-right: 2em; }<\/style>\n<\/head>/" \
		> sphinx.html

sphinx.txt: sphinx.html
	perl html2txt.pl < sphinx.html > sphinx.txt

## sphinxsearch 2.0.3

=== debian/changelog ===
sphinxsearch (2.0.3-1) unstable; urgency=low

  * New upstream release.
  * Upstream release fixes case when omitting mem_limit 
    generates a spurious warning. (closes: #647815)
  * Migrated from dpatch to quilt.

 -- Radu Spineanu <radu@debian.org>  Tue, 10 Jan 2012 08:15:19 +0000

sphinxsearch (0.9.9+2.0.2beta-1) unstable; urgency=low

  * New upstream release. (2.0.2beta)
  * New upstream fixes FTBFS. (closes: #648260)
  * Create /var/run/sphinxsearch in init.d if it doesn't exist.
    Thanks to John Paulett <john@paulett.org> for the patch.
    (closes: #645663)

 -- Radu Spineanu <radu@debian.org>  Thu, 01 Dec 2011 16:24:36 +0000

sphinxsearch (0.9.9+2.0.1beta-1) unstable; urgency=low

  * New upstream release. (2.0.1beta)
    (closes: #639784)
  * Fix FTBFS with multiarchified libstemmer.
    (closes: #635030)
  * logrotate now refers correctly to 
    /var/run/sphinxsearch/searchd.pid.
    (closes: #641194)
  * Added a new entry about sphinxsearch running with
    user privileges. (closes: #640732)

 -- Radu Spineanu <radu@debian.org>  Sat, 08 Oct 2011 15:30:05 +0000

sphinxsearch (0.9.9-9) unstable; urgency=low

  * Run daemon as the sphinxsearch user. Related to #563205.
    Inspired from Christian Hofstaedtler's patch.
  * Moved pidfile to /var/run/sphinxsearch/searchd.pid
  * postinst edits the conf file to replace the pid file location.

 -- Radu Spineanu <radu@debian.org>  Wed, 20 Jul 2011 03:42:46 +0000

sphinxsearch (0.9.9-8) unstable; urgency=low

  * libstemmer support. Thanks for the awesome work done by
    Thijs Kinkhorst and Adam Golebiowski. (closes: #570506)
  * Added build-dependency on autoconf, automake, and dh_autoreconf.
  * Added dh_autoreconf call in debian/rules.
  * init.d: restart sphinx on reload/force-reload.
    (closes: #625714)
  * Add logrotate script. Thanks to Thijs Kinkhorst.
    (closes: #630611)
  * Bumped Standards Version.

 -- Radu Spineanu <radu@debian.org>  Fri, 08 Jul 2011 05:56:12 +0000

sphinxsearch (0.9.9-7) unstable; urgency=low

  * Stop the cron entry from SPAM-ing (again).
    (closes: #586146)
  * Rename LABEL to NAME in init script.
    (closes: #591763)
  * Add a slight start delay in init.d script to avoid process checks 
    before sphinx finished initializing. (closes: #613455)
  * Add sphinx.conf as sphinx.conf.sample. (closes: #600708)
  * Bumped Standards Version.

 -- Radu Spineanu <radu@debian.org>  Sat, 09 Apr 2011 08:13:25 +0000

sphinxsearch (0.9.9-6) unstable; urgency=low

  * Fixed a bashism in crontab. (closes: #573401)

 -- Radu Spineanu <radu@debian.org>  Sat, 05 Jun 2010 20:22:10 +0300

sphinxsearch (0.9.9-5) unstable; urgency=low

  * Added a patch from Julian Cristau to fix the alpha build.
    (closes: #564620 )
  * Check if $START is 'yes' in /etc/default/sphinxsearch 
    when running cron script (closes: #573401)
  * Added libexpat-dev build-dependency. Thanks to Patrik Rak
    for pointing it out.

 -- Radu Spineanu <radu@debian.org>  Wed, 21 Apr 2010 23:23:09 +0300

sphinxsearch (0.9.9-4) unstable; urgency=low

  * Fix init.d echo and return bug. 

 -- Radu Spineanu <radu@debian.org>  Wed, 13 Jan 2010 01:48:49 +0200

sphinxsearch (0.9.9-3) unstable; urgency=low

  * Cronjob should be run as root for now.

 -- Radu Spineanu <radu@debian.org>  Sun, 10 Jan 2010 19:23:04 +0200

sphinxsearch (0.9.9-2) unstable; urgency=low

  * Thanks to Christian Hofstaedtler <ch+debian@zeha.at>
    sphinxsearch has a number of improvements (#563205)
      + man pages for indexer and searchd
      + indexer cronjob
  * Don't ship example confs in /etc/sphinxsearch. But also don't
    start init.d automatically. Let the user tweak sphinx.conf so that
    it suits him first.
  * Remove old configuration template files from /etc/sphinxsearch 
    if present

 -- Radu Spineanu <radu@debian.org>  Sun, 10 Jan 2010 17:46:43 +0200

sphinxsearch (0.9.9-1) unstable; urgency=low

  * New upstream release. (closes: #561687)

 -- Radu Spineanu <radu@debian.org>  Mon, 28 Dec 2009 15:13:50 +0200

sphinxsearch (0.9.8.1-3) unstable; urgency=low

  * Upload with dpkg-buildpackage -sa.

 -- Radu Spineanu <radu@debian.org>  Thu, 19 Nov 2009 15:24:45 +0200

sphinxsearch (0.9.8.1-2) unstable; urgency=low

  * Added missing copyright entries.

 -- Radu Spineanu <radu@debian.org>  Tue, 17 Nov 2009 22:19:42 +0200

sphinxsearch (0.9.8.1-1) unstable; urgency=low

  * Initial release (Closes: #456227, #458000)

 -- Radu Spineanu <radu@debian.org>  Sun, 25 Oct 2009 00:09:31 +0300

=== debian/control ===
Source: sphinxsearch
Section: misc
Priority: optional
Maintainer: Radu Spineanu <radu@debian.org>
Build-Depends: debhelper (>= 7.0.50), autotools-dev, gawk, libmysqlclient-dev, libpq-dev, autoconf, libtool, automake, docbook-to-man, libexpat-dev, libstemmer-dev, dh-autoreconf, adduser 
Standards-Version: 3.9.2

Package: sphinxsearch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmysqlclient16, adduser
Description: Fast standalone full-text SQL search engine
 Sphinx is a standalone full text search engine, meant to provide fast,
 size-efficient and relevant fulltext search functions to other applications. 
 Sphinx was specially designed to integrate well with SQL databases and 
 scripting languages. Currently built-in data sources support fetching data 
 either via direct connection to MySQL or PostgreSQL, or using XML pipe 
 mechanism (a pipe to indexer in special XML-based format which Sphinx 
 recognizes).
 .
 Sphinx is an acronym which is officially decoded as SQL Phrase Index.

## sphinxsearch 2.0.4

=== mysqlse/CMakeLists.txt ===
--- 
+++ 
@@ -8,4 +8,9 @@
                     ${CMAKE_SOURCE_DIR}/regex)
 
 SET(SPHINX_SOURCES ha_sphinx.cc)
+IF(MYSQL_VERSION_ID LESS 50515) 
 ADD_LIBRARY(sphinx ha_sphinx.cc)
+ELSE()
+SET(SPHINX_PLUGIN_DYNAMIC "ha_sphinx")
+MYSQL_ADD_PLUGIN(sphinx ${SPHINX_SOURCES} STORAGE_ENGINE MODULE_ONLY LINK_LIBRARIES mysys)
+ENDIF()

=== debian/changelog ===
sphinxsearch (2.0.4-1.1ubuntu2) devel; urgency=low

  * Add a call to AM_PROG_AR to fix FTBFS with new automake.
  * Enable parallel build.
  * Enable 64 bit long ID (LP: #839626)
  * Enable compile options: --with-syslog, --with-unixodbc (LP: #1068087)

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 09:56:47 +0100

sphinxsearch (2.0.4-1.1ubuntu1) quantal; urgency=low

  * Add libraries, ruby and python api. (Closes: #563205)
  * Add dh_autotools_dev to satisfy dpkg-source
  * Use dh_python2
  
 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 23 Aug 2012 03:01:57 +0100

sphinxsearch (2.0.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Removed hard-coded dependency on libmysqlclient16 (Closes: #676595)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 11 Jun 2012 20:31:53 +0000

sphinxsearch (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * Fix FTBFS with gcc-4.7. Thanks to Cyril Brulebois for the patch.
    (closes: #667378)
  * init script improvements thanks to Daniel Black.
    (closes: #656326)
  * watch file thanks to Mateusz Kijowski.
    (closes: #663680, #663679)
  * Bumped Standards Version.
 
 -- Radu Spineanu <radu@debian.org>  Fri, 20 Apr 2012 02:24:37 +0000

=== debian/control ===
Source: sphinxsearch
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Radu Spineanu <radu@debian.org>
Build-Depends: debhelper (>= 7.0.50), autotools-dev, gawk, libmysqlclient-dev, libpq-dev, autoconf, libtool, automake, docbook-to-man, libexpat-dev, libstemmer-dev, dh-autoreconf, adduser, python, ruby, unixodbc-dev
Standards-Version: 3.9.3

Package: sphinxsearch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: Fast standalone full-text SQL search engine
 Sphinx is a standalone full text search engine, meant to provide fast,
 size-efficient and relevant fulltext search functions to other applications. 
 Sphinx was specially designed to integrate well with SQL databases and 
 scripting languages. Currently built-in data sources support fetching data 
 either via direct connection to MySQL or PostgreSQL, or using XML pipe 
 mechanism (a pipe to indexer in special XML-based format which Sphinx 
 recognizes).
 .
 Sphinx is an acronym which is officially decoded as SQL Phrase Index.

Package: libsphinxclient-0.0.1
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Fast standalone full-text SQL search engine - Client library
 Sphinx is a standalone full text search engine, meant to provide fast,
 size-efficient and relevant fulltext search functions to other applications.
 Sphinx was specially designed to integrate well with SQL databases and
 scripting languages. Currently built-in data sources support fetching data
 either via direct connection to MySQL or PostgreSQL, or using XML pipe
 mechanism (a pipe to indexer in special XML-based format which Sphinx
 recognizes).
 .
 Sphinx is an acronym which is officially decoded as SQL Phrase Index.
 .
 This package contains the client library for C.

Package: libsphinxclient-dev
Architecture: any
Section: libdevel
Depends: libsphinxclient-0.0.1 (= ${binary:Version}), ${misc:Depends}
Description: Fast standalone full-text SQL search engine - Client library
 Sphinx is a standalone full text search engine, meant to provide fast,
 size-efficient and relevant fulltext search functions to other applications.
 Sphinx was specially designed to integrate well with SQL databases and
 scripting languages. Currently built-in data sources support fetching data
 either via direct connection to MySQL or PostgreSQL, or using XML pipe
 mechanism (a pipe to indexer in special XML-based format which Sphinx
 recognizes).
 .
 Sphinx is an acronym which is officially decoded as SQL Phrase Index.
 .
 This package contains the client library for C development files.

Package: python-sphinxapi
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends}
Description: Fast standalone full-text SQL search engine - Client library
 Sphinx is a standalone full text search engine, meant to provide fast,
 size-efficient and relevant fulltext search functions to other applications.
 Sphinx was specially designed to integrate well with SQL databases and
 scripting languages. Currently built-in data sources support fetching data
 either via direct connection to MySQL or PostgreSQL, or using XML pipe
 mechanism (a pipe to indexer in special XML-based format which Sphinx
 recognizes).
 .
 Sphinx is an acronym which is officially decoded as SQL Phrase Index.
 .
 This package contains the client library for Python.

Package: libsphinx-ruby
Architecture: all
Section: ruby
Depends: libruby, ruby (>=1.8.7), ${misc:Depends}
Description: Fast standalone full-text SQL search engine - Client library
 Sphinx is a standalone full text search engine, meant to provide fast,
 size-efficient and relevant fulltext search functions to other applications.
 Sphinx was specially designed to integrate well with SQL databases and
 scripting languages. Currently built-in data sources support fetching data
 either via direct connection to MySQL or PostgreSQL, or using XML pipe
 mechanism (a pipe to indexer in special XML-based format which Sphinx
 recognizes).
 .
 Sphinx is an acronym which is officially decoded as SQL Phrase Index.
 .
 This package contains the client library for Ruby.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status:
	dh_testdir

	dh_autotools-dev_updateconfig
	dh_autoreconf

	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --localstatedir=/var/lib/sphinxsearch --sysconfdir=/etc/sphinxsearch --with-libstemmer --with-pgsql --enable-id64 --with-unixodbc --with-syslog CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
	cd api/libsphinxclient && ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --localstatedir=/var/lib/sphinxsearch --sysconfdir=/etc/sphinxsearch CFLAGS="$(CFLAGS)"

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: config.status
	dh_testdir
	dh_auto_build --parallel
	docbook-to-man debian/indexer.1.sgml > indexer.1
	docbook-to-man debian/searchd.1.sgml > searchd.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	[ ! -f Makefile ] || $(MAKE) distclean
	[ ! -f api/libsphinxclient/Makefile ] || $(MAKE) -C api/libsphinxclient distclean

	$(RM) config.log config.status
	$(RM) -f indexer.1 searchd.1 debian/sphinxapi.py

	dh_autoreconf_clean
	dh_autotools-dev_restoreconfig
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/sphinxsearch.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
	# Copy a default configuration file
	mv $(CURDIR)/debian/tmp/etc/sphinxsearch/sphinx.conf.dist $(CURDIR)/debian/tmp/etc/sphinxsearch/sphinx.conf.sample
	# apis
	cp api/sphinxapi.py debian/
	cd api/libsphinxclient && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	install -d $(CURDIR)/debian/tmp/usr/lib/ruby/vendor_ruby
	install -d $(CURDIR)/debian/tmp/usr/lib/ruby/vendor_ruby/sphinx
	install -m0644 api/ruby/lib/sphinx.rb $(CURDIR)/debian/tmp/usr/lib/ruby/vendor_ruby/
	install -m0644 api/ruby/lib/sphinx/client.rb $(CURDIR)/debian/tmp/usr/lib/ruby/vendor_ruby/sphinx/
	install -m0644 api/ruby/lib/sphinx/request.rb $(CURDIR)/debian/tmp/usr/lib/ruby/vendor_ruby/sphinx/
	install -m0644 api/ruby/lib/sphinx/response.rb $(CURDIR)/debian/tmp/usr/lib/ruby/vendor_ruby/sphinx/
	install -d $(CURDIR)/debian/tmp/usr/share/doc/libsphinx-ruby
	cd api/ruby && rdoc --all --inline-source --diagram --fileboxes --line-numbers --fmt=html -o $(CURDIR)/debian/tmp/usr/share/doc/libsphinx-ruby/rdoc

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	#dh_rdoc -plibsphinx-ruby api/ruby
	dh_installdirs -ppython-sphinxapi -plibsphinx-ruby
	dh_installchangelogs -ppython-sphinxapi -plibsphinx-ruby
	dh_installdocs -ppython-sphinxapi -plibsphinx-ruby
	dh_installexamples -ppython-sphinxapi -plibsphinx-ruby
	dh_install -ppython-sphinxapi -plibsphinx-ruby -a --sourcedir=debian/tmp
	dh_python2 -ppython-sphinxapi
	dh_installcron -ppython-sphinxapi -plibsphinx-ruby
	dh_installdebconf -ppython-sphinxapi -plibsphinx-ruby
	dh_installinit -ppython-sphinxapi -plibsphinx-ruby
	dh_installman -ppython-sphinxapi -plibsphinx-ruby
	dh_link -ppython-sphinxapi -plibsphinx-ruby
	dh_strip -ppython-sphinxapi -plibsphinx-ruby
	dh_compress -ppython-sphinxapi -plibsphinx-ruby
	dh_fixperms -ppython-sphinxapi -plibsphinx-ruby
	dh_makeshlibs -ppython-sphinxapi -plibsphinx-ruby
	dh_installdeb -ppython-sphinxapi -plibsphinx-ruby
	dh_shlibdeps -ppython-sphinxapi -plibsphinx-ruby
	dh_gencontrol -ppython-sphinxapi -plibsphinx-ruby
	dh_md5sums -ppython-sphinxapi -plibsphinx-ruby
	dh_builddeb -ppython-sphinxapi -plibsphinx-ruby

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdirs -Npython-sphinxapi -Nlibsphinx-ruby
	dh_installchangelogs -Npython-sphinxapi -Nlibsphinx-ruby
	dh_installdocs -a -Npython-sphinxapi -Nlibsphinx-ruby
	dh_installexamples -Npython-sphinxapi -Nlibsphinx-ruby
	dh_install -Npython-sphinxapi -Nlibsphinx-ruby -a --sourcedir=debian/tmp
	dh_installcron -a -Npython-sphinxapi -Nlibsphinx-ruby
	dh_installdebconf -Npython-sphinxapi -Nlibsphinx-ruby
	dh_installinit -Npython-sphinxapi -Nlibsphinx-ruby
	dh_installman -Npython-sphinxapi -Nlibsphinx-ruby
	dh_installlogrotate -a
	dh_link -Npython-sphinxapi -Nlibsphinx-ruby
	dh_strip -Npython-sphinxapi -Nlibsphinx-ruby
	dh_compress -Npython-sphinxapi -Nlibsphinx-ruby
	dh_fixperms -Npython-sphinxapi -Nlibsphinx-ruby
	dh_makeshlibs -Npython-sphinxapi -Nlibsphinx-ruby
	dh_installdeb -Npython-sphinxapi -Nlibsphinx-ruby
	dh_shlibdeps -Npython-sphinxapi -Nlibsphinx-ruby
	dh_gencontrol -Npython-sphinxapi -Nlibsphinx-ruby
	dh_md5sums -Npython-sphinxapi -Nlibsphinx-ruby
	dh_builddeb -Npython-sphinxapi -Nlibsphinx-ruby

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## sphinxsearch 2.2.9

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

FOREACH(policy CMP0012 CMP0013 CMP0014)
  IF(POLICY ${policy})
    CMAKE_POLICY(SET ${policy} NEW)
  ENDIF()
ENDFOREACH()

# override default options which affects windows builds
# that is necessary to change /MD to /MT, and also to set libraries on win to implicitly defined
set(CMAKE_USER_MAKE_RULES_OVERRIDE ${CMAKE_CURRENT_SOURCE_DIR}/cmake/c_flag_overrides.cmake)
set(CMAKE_USER_MAKE_RULES_OVERRIDE_CXX ${CMAKE_CURRENT_SOURCE_DIR}/cmake/cxx_flag_overrides.cmake)

PROJECT(SPHINXSEARCH)
SET(SPHINXSEARCH_CMAKE_DIR "${SPHINXSEARCH_SOURCE_DIR}/cmake")
SET(CMAKE_MODULE_PATH "${SPHINXSEARCH_SOURCE_DIR}/cmake")
SET(EXTRA_LIBRARIES "")

if (WIN32)
	include (select_library_dir)
else(WIN32)
	OPTION(WITH_STEMMER "compile with stemmer support" ON)
	IF (WITH_STEMMER)
		# check whether we have in-source libstemmer
		if (EXISTS "${SPHINXSEARCH_SOURCE_DIR}/libstemmer_c/include/libstemmer.h")
			add_subdirectory(libstemmer_c)
		ELSE (EXISTS "${SPHINXSEARCH_SOURCE_DIR}/libstemmer_c/include/libstemmer.h")
			find_package(stemmer)
		ENDIF (EXISTS "${SPHINXSEARCH_SOURCE_DIR}/libstemmer_c/include/libstemmer.h")
		IF (STEMMER_FOUND)
			SET (EXTRA_LIBRARIES ${EXTRA_LIBRARIES} ${STEMMER_LIBRARIES})
			include_directories (${STEMMER_INCLUDE_DIR})
			SET (USE_LIBSTEMMER 1)
		ENDIF (STEMMER_FOUND)
	ENDIF (WITH_STEMMER)
endif (WIN32)

#if(CMAKE_CONFIGURATION_TYPES)
if (NOT WIN32)
# dlopen doesn't affect windows anyway
OPTION(DL_EXPAT "Load libexpat using dlopen" ON)
endif (NOT WIN32)

include (helpers)

add_subdirectory (src)

install(FILES sphinx-min.conf.dist DESTINATION etc/sphinx COMPONENT config)
install(FILES doc/sphinx.html doc/sphinx.txt DESTINATION share/doc COMPONENT doc)

set(CPACK_GENERATOR "DEB")
set(CPACK_PACKAGE_NAME "SphinxSearch")
set(CPACK_PACKAGE_VERSION_MAJOR "0")
set(CPACK_PACKAGE_VERSION_MINOR "2")
set(CPACK_PACKAGE_VERSION_PATCH "0")
#set(CPACK_DEBIAN_PACKAGE_DEPENDS "cssrobopec,libqt4-xml,libqt4-network,libqtgui4,treeupdatablereeti")
set(CPACK_PACKAGE_DESCRIPTION "Configure UExhibitor and launch missions")
set(CPACK_PACKAGE_CONTACT "Sphinx package builds <builds@sphinxsearch.com>")
#set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_CURRENT_SOURCE_DIR}/Debian/postinst")


include (CPack)

=== libstemmer_c/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

if (EXISTS "${SPHINXSEARCH_SOURCE_DIR}/libstemmer_c/include/libstemmer.h")
# will try to use mkinc.mak - the same as in autotools case.
	FILE(READ "${SPHINXSEARCH_SOURCE_DIR}/libstemmer_c/mkinc.mak" _CONTENT)
	# replace '\ ' into one big line
	STRING(REGEX REPLACE "\\\\\n" " " _CONTENT "${_CONTENT}")
	# escape ';' (if any)
	STRING(REGEX REPLACE ";" "\\\\;" _CONTENT "${_CONTENT}")
	# now replace lf into ';' (it makes list from the line)
	STRING(REGEX REPLACE "\n" ";" _CONTENT "${_CONTENT}")
	FOREACH (LINE ${_CONTENT})
		# skip comments (beginning with #)
		IF(NOT "${LINE}" MATCHES "^#.*")
			# parse 'name=value1 value2..." - extract the 'name' part
			STRING(REGEX REPLACE "=.*$" "" _NAME "${LINE}")
			# extract the list of values part
			STRING(REGEX REPLACE "^.*=" "" _LIST "${LINE}")
			# replace (multi)spaces into ';' (it makes list from the line)
			STRING(REGEX REPLACE " +" ";" _LIST "${_LIST}")
			# finally get our two variables
			IF("${_NAME}" MATCHES "snowball_sources")
				SET (_SOURCES "${_LIST}")
			ELSEIF ("${_NAME}" MATCHES "snowball_headers")
				SET (_HEADERS "${_LIST}")
			ENDIF()
		endif()
	endforeach()
	# all the sources parsed. Now just add the lib
	add_library (stemmer STATIC ${_SOURCES} ${_HEADERS})
	SET (STEMMER_INCLUDE_DIR "${SPHINXSEARCH_SOURCE_DIR}/libstemmer_c/include" PARENT_SCOPE )
	SET (STEMMER_LIBRARIES stemmer PARENT_SCOPE)
	SET (STEMMER_FOUND TRUE PARENT_SCOPE)
	MARK_AS_ADVANCED(STEMMER_INCLUDE_DIR )
ENDIF()

=== src/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

include(CheckFunctionExists)

if (NOT WIN32)
	include (check_veryold_gcc)
	include (SphEndianess)
endif()

# Fill system details for future
if (CMAKE_COMPILER_IS_GNUCXX)
	execute_process(COMMAND "${CMAKE_CXX_COMPILER}" "-dumpversion" OUTPUT_VARIABLE gcc_ver)
	remove_crlf(COMPILER ${gcc_ver})
endif (CMAKE_COMPILER_IS_GNUCXX)
if (UNIX AND NOT CYGWIN)
	execute_process(COMMAND "uname" "-a" OUTPUT_VARIABLE OS_UNAME)
	remove_crlf(OS_UNAME ${OS_UNAME})
	set(CONFIGURE_FLAGS "none, used cmake")
endif (UNIX AND NOT CYGWIN)

if (NOT WIN32)
	find_package(Threads REQUIRED)
	SET (EXTRA_LIBRARIES ${EXTRA_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
	message(STATUS "Checking for header files")

include(ac_header_stdc)
ac_check_headers ("execinfo.h")
include(FindEXPAT)
check_include_file("iconv.h" have_iconv_h) #fixme! Move to module?
include(FindZLIB)
check_include_file("sql.h" have_sql_h) #fixme! Move to module?
check_include_file("syslog.h" have_syslog_h) #fixme! Move to module?

message(STATUS "Checking for types")
message(STATUS "Checking for library functions")
ac_check_funcs("strnlen;pread;poll;backtrace;backtrace_symbols")

ac_search_libs("socket" "setsockopt" _DUMMY EXTRA_LIBRARIES)
ac_search_libs("nsl;socket;resolv" "gethostbyname" _DUMMY EXTRA_LIBRARIES)
ac_search_libs("m" "logf" HAVE_LOGF EXTRA_LIBRARIES)
ac_search_libs("z" "inflate" _DUMMY EXTRA_LIBRARIES)
#check_function_exists(


if ( CMAKE_COMPILER_IS_GNUCXX )
	set (SPHINX_INJECT_C_FLAGS "-D_FILE_OFFSET_BITS=64 -fno-strict-aliasing" )
	if ( NOT WITH_DEBUG_MODE )
		set (SPHINX_INJECT_C_FLAGS "${SPHINX_INJECT_C_FLAGS} -O3 -DNDEBUG")
	endif(NOT WITH_DEBUG_MODE)
	set (SPHINX_INJECT_CXX_FLAGS "-fno-rtti -Wall -g ${SPHINX_INJECT_C_FLAGS}")
	set(CMAKE_CXX_FLAGS "${SPHINX_INJECT_CXX_FLAGS}")
	set(CMAKE_C_FLAGS "${SPHINX_INJECT_C_FLAGS}")
endif ( CMAKE_COMPILER_IS_GNUCXX )

# make our configure file
configure_file("${SPHINXSEARCH_SOURCE_DIR}/config/config_cmake.h.in"
	"${SPHINXSEARCH_BINARY_DIR}/config/config.h")
add_definitions (-DHAVE_CONFIG_H)
include_directories("${SPHINXSEARCH_BINARY_DIR}/config")

endif (NOT WIN32)

# main bunch of sources
set (SRCS sphinx.cpp sphinxexcerpt.cpp
sphinxquery.cpp sphinxsoundex.cpp sphinxmetaphone.cpp sphinxstemen.cpp
sphinxstemru.cpp sphinxstemcz.cpp sphinxstemar.cpp sphinxutils.cpp
sphinxstd.cpp sphinxsort.cpp sphinxexpr.cpp sphinxfilter.cpp
sphinxsearch.cpp sphinxrt.cpp sphinxjson.cpp sphinxudf.c sphinxaot.cpp
sphinxplugin.cpp)

# all the (non-generated) headers
file(GLOB HEADERS "sphinx*.h")

file(GLOB GHEADERS "yysphinx*.h")
source_group ("Generated Header Files" FILES ${GHEADERS})

if (WIN32)
	add_custom_command(OUTPUT "sphinxversion.h" COMMAND ${SPHINXSEARCH_SOURCE_DIR}/src/svnxrev.cmd ${SPHINXSEARCH_SOURCE_DIR})
else (WIN32)
	add_custom_command(OUTPUT "sphinxversion.h" COMMAND /bin/sh ${SPHINXSEARCH_SOURCE_DIR}/src/svnxrev.sh ${SPHINXSEARCH_SOURCE_DIR})
endif(WIN32)

set (HEADERS ${HEADERS} sphinxversion.h)

# our mega-lib
add_library ( libsphinx STATIC ${SRCS} ${HEADERS} ${GHEADERS})

message (STATUS "Extra libraries:${EXTRA_LIBRARIES}")


# our executables
add_executable (indexer indexer.cpp )
add_executable (indextool indextool.cpp )
add_executable (searchd searchd.cpp )
add_executable (spelldump spelldump.cpp )
add_executable (tests tests.cpp )
target_link_libraries (indexer libsphinx ${EXTRA_LIBRARIES})
target_link_libraries (indextool libsphinx ${EXTRA_LIBRARIES})
target_link_libraries (searchd libsphinx ${EXTRA_LIBRARIES})
target_link_libraries (spelldump libsphinx ${EXTRA_LIBRARIES})
target_link_libraries (tests libsphinx ${EXTRA_LIBRARIES})

INSTALL(TARGETS indexer indextool searchd spelldump RUNTIME DESTINATION usr/bin)

# testrt is win-only project
if (WIN32)
	add_executable (testrt testrt.cpp )
	target_link_libraries (testrt libsphinx ${EXTRA_LIBRARIES})
endif (WIN32)

=== test/Makefile ===
all:
install:
install-strip:
uninstall:
TAGS:
info:
dist:

check:
	php ubertest.php t -u test

clean:
	sh clean.sh

distclean: clean
mostlyclean: clean
maintainer-clean: clean

=== debian/changelog ===
sphinxsearch (2.2.9-1build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 13:02:23 +0000

sphinxsearch (2.2.9-1) unstable; urgency=medium
  
  * New upstream release.
  * Add mulitarch libdir support (Closes: #769004).

 -- YunQiang Su <syq@debian.org>  Sun, 03 May 2015 01:37:01 +0800

sphinxsearch (2.2.5-1) unstable; urgency=medium

  * New upstream release. (Closes: 713331)
  * Use dh 9 - compat level and rules.
  * Add myself in to uploaders.

 -- YunQiang Su <syq@debian.org>  Wed, 29 Oct 2014 11:37:25 +0000

=== debian/control ===
Source: sphinxsearch
Section: misc
Priority: optional
Maintainer: Radu Spineanu <radu@debian.org>
Uploaders: YunQiang Su <syq@debian.org>
Build-Depends: debhelper (>= 9), gawk, libmysqlclient-dev, libpq-dev, docbook-to-man, libexpat-dev, libstemmer-dev, dh-autoreconf, autotools-dev, adduser 
Standards-Version: 3.9.6

Package: sphinxsearch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: Fast standalone full-text SQL search engine
 Sphinx is a standalone full text search engine, meant to provide fast,
 size-efficient and relevant fulltext search functions to other applications. 
 Sphinx was specially designed to integrate well with SQL databases and 
 scripting languages. Currently built-in data sources support fetching data 
 either via direct connection to MySQL or PostgreSQL, or using XML pipe 
 mechanism (a pipe to indexer in special XML-based format which Sphinx 
 recognizes).
 .
 Sphinx is an acronym which is officially decoded as SQL Phrase Index.

## sphinxsearch 2.2.9-release

=== debian/changelog ===
sphinxsearch (2.2.9-release-0ubuntu12~precise) precise; urgency=low

  * Sphinx 2.2.9-release official upstream build.
  - fixed #2150, making '/var/run/sphinxsearch' directory for Ubuntu 14.04 and up

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Mon, 20 Apr 2015 06:08:44 +0200

sphinxsearch (2.2.8-release-0ubuntu11~2.2.9-release-0ubuntu12~precise) precise; urgency=low

  * Sphinx 2.2.8-release official upstream build.

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Tue, 10 Mar 2015 18:00:00 +0400

sphinxsearch (2.2.7-release-0ubuntu11~2.2.9-release-0ubuntu12~precise) precise; urgency=low

  * Sphinx 2.2.7-release official upstream build.

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Tue, 20 Jan 2015 18:00:00 +0400

sphinxsearch (2.2.6-release-0ubuntu11~2.2.9-release-0ubuntu12~precise) precise; urgency=low

  * Sphinx 2.2.6-release official upstream build.

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Thu, 11 Nov 2014 18:00:00 +0400

sphinxsearch (2.2.5-release-0ubuntu11~2.2.9-release-0ubuntu12~precise) precise; urgency=low

  * Sphinx 2.2.5-release official upstream build.
  * Updated sphinx.conf.in and sphinx-min.conf.in patches.

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Mon, 03 Oct 2014 18:00:00 +0400

sphinxsearch (2.2.4-release-0ubuntu11~2.2.9-release-0ubuntu12~precise) precise; urgency=low

  * Sphinx 2.2.4-release official upstream build.
  - nothing changed in the sources

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Thu, 11 Sep 2014 18:00:00 +0400

sphinxsearch (2.2.3-beta-0ubuntu11~2.2.9-release-0ubuntu12~precise) precise; urgency=low

  * Sphinx 2.2.3-beta official upstream build.

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Tue, 13 May 2014 18:00:00 +0400

sphinxsearch (2.2.2-beta-0ubuntu11~precise) PUTHEREDISTNAME; urgency=low

  * Sphinx 2.2.2-beta official upstream build.
  * crash_log_path configuration directive removed

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Tue, 11 Feb 2014 21:10:32 +0400

sphinxsearch (2.2.1-beta-0ubuntu11~precise) PUTHEREDISTNAME; urgency=low

  * Sphinx 2.2.1-beta official upstream build.

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Wed, 13 Nov 2013 21:10:32 +0400

sphinxsearch (2.1.2-release-0ubuntu11~precise) PUTHEREDISTNAME; urgency=low

  * Official upstream build.
  * Sphinx 2.1.2-release is out
  * Added missing directories
  * Fixed missing patches
  * Updated init script
  - general fix release

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Thu, 10 Oct 2013 21:10:32 +0400

sphinxsearch (2.1.1-beta-0ubuntu10~precise) PUTHEREDISTNAME; urgency=low

  * Official upstream build.
  * Sphinx 2.1.1-beta is released
  - re2 is now supported

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Wed, 20 Feb 2013 21:10:32 +0400

sphinxsearch (2.0.6-release-0ubuntu10~precise) PUTHEREDISTNAME; urgency=low

  * Official upstream release.
  * Stable Sphinx 2.0.6 is released
  - updated version in sphinx.h

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Mon, 22 Oct 2012 14:50:10 +0700

sphinxsearch (2.0.5-release-0ubuntu10~lucid8) lucid; urgency=low

  * Official upstream release.
  * Stable Sphinx 2.0.5 is released
  - updated version in sphinx.h

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Sat, 28 jul 2012 11:51:12 +0700

sphinxsearch (2.0.4-release-0ubuntu9~lucid7) lucid; urgency=low

  * Official upstream release.
  * Removed strict libmysqlclient16 dependency
  - nothing changed in the sources

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Fri, 27 jul 2012 16:08:12 +0700

sphinxsearch (2.0.4-release-0ubuntu9) precise; urgency=low

  * Official upstream release. Added lost API
  - nothing changed in the sources

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Mon, 11 Jun 2012 18:54:32 +0700

sphinxsearch (2.0.4-release-0ubuntu8) precise; urgency=low

  * Official upstream beta. Added lost debug symbols
  * Added new series
  - nothing changed in the sources

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Fri, 18 Nov 2011 15:40:32 +0100

sphinxsearch (2.0.2-beta-0ubuntu6) lucid; urgency=low

  * Official upstream build.

 -- Sphinx Builds Team <builds@sphinxsearch.com>  Tue, 26 Apr 2011 16:42:43 +0200

=== debian/control ===
Source: sphinxsearch
Section: misc
Priority: optional
Maintainer: Sphinx package builds <builds@sphinxsearch.com>
XSBC-Original-Maintainer: Radu Spineanu <radu@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, gawk, libmysqlclient-dev, libpq-dev, autoconf, libtool, automake, libexpat-dev, wget, unixodbc-dev
Standards-Version: 3.8.4

Package: sphinxsearch
Architecture: any
Homepage: http://sphinxsearch.com
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast standalone full-text SQL search engine
 Sphinx is a standalone full text search engine, meant to provide fast,
 size-efficient and relevant fulltext search functions to other applications. 
 Sphinx was specially designed to integrate well with SQL databases and 
 scripting languages. Currently built-in data sources support fetching data 
 either via direct connection to MySQL or PostgreSQL, or using XML pipe 
 mechanism (a pipe to indexer in special XML-based format which Sphinx 
 recognizes).
 .
 Sphinx is an acronym which is officially decoded as SQL Phrase Index. 

Section: debug
Priority: extra
Package: sphinxsearch-dbg
Architecture: any
Homepage: http://sphinxsearch.com
Depends: sphinxsearch
Description: Debug symbols for sphinxsearch package
 This package have to be used internally by developers - or also could be
 used by end users to provide comprehensive bugreports.
 .
 sphinx is an acronym which is officially decoded as SQL Phrase Index.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(shell dpkg-vendor --query vendor), Ubuntu)
DEB_DH_INSTALLINIT_ARGS := --upstart-only
else
DEB_DH_INSTALLINIT_ARGS := -u'start 50 2 3 4 5 . stop 80 0 1 6 .'
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O3
endif

# Include dpatch stuff.
#include /usr/share/dpatch/dpatch.make

config.status: configure
#	dh_testdir
	# Add here commands to configure the package.
	[ -f libstemmer_c.tgz ] || wget -c http://snowball.tartarus.org/dist/libstemmer_c.tgz
	tar -zcf libstemmer_old.tar.gz libstemmer_c/
	tar -zxf libstemmer_c.tgz
	tar -zxf re2.tgz
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --localstatedir=/var/lib/sphinxsearch --sysconfdir=/etc/sphinxsearch --with-mysql --with-pgsql --enable-id64 --with-libstemmer --with-re2 --with-unixodbc --with-syslog CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs  -pthread"

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean: clean1 unpatch
clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	[ ! -f libstemmer_old.tar.gz ] || ( rm -rf libstemmer_c/; tar -zxf libstemmer_old.tar.gz;  rm libstemmer_old.tar.gz )
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/sphinxsearch.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
	# Copy a default configuration file
	cp $(CURDIR)/debian/tmp/etc/sphinxsearch/sphinx.conf.dist $(CURDIR)/debian/sphinxsearch/etc/sphinxsearch/sphinx.conf

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installcron
	dh_installdebconf
	dh_installinit
	dh_installman
	dh_link
	dh_strip --dbg-package=sphinxsearch-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs 
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpatch
